%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 1.0.3
%define release	1mdk

%define realname SQLite
%define modname sqlite
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A22_%{modname}.ini

Summary:	%{realname} database bindings for PHP4
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pecl.php.net/package/SQLite
License:	PHP License
Source0:	SQLite-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
Requires:	php%{libversion}
Requires:	php-cli
BuildRequires:	sqlite-devel
BuildRequires:	php%{libversion}-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
%{realname} is a C library that implements an embeddable SQL database
engine. Programs that link with the %{realname} library can have SQL
database access without running a separate RDBMS process. This
extension allows you to access SQLite databases from within PHP.
   
%prep

%setup -q -n %{realname}-%{rversion}

%build

#phpize
#%%configure2_5x --enable-%{modname}=shared,%{_prefix}
#%%make
#mv modules/*.so .

SQLITE_VERSION=`rpm -q --qf "[%{VERSION}]" libsqlite0`

%{phpsource}/buildext %{modname} "sqlite.c libsqlite/src/encode.c" \
        "-lsqlite" "-DCOMPILE_DL_SQLITE \
	-DHAVE_SQLITELIB \
	-DSQLITE_ENCODING=\"UTF-8\" \
	-DSQLITE_VERSION=\"${SQLITE_VERSION}\""

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS README TODO README.%{modname} sqlite.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Fri Aug 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0.3-1mdk
- 1.0.3

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0.2-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.2-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.2-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0.2-2mdk
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0.2-1mdk
- 1.0.2
- fix url
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.0-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.0-1mdk
- built for php 4.3.3
- misc spec file fixes

* Sun Aug 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_1.0-1mdk
- initial cooker contrib
